org.wso2.carbon.dataservices.ui.beans

## Class Result

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement
  - - org.wso2.carbon.dataservices.ui.beans.Result

-     public class Result
      extends DataServiceConfigurationElement

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Result()`
    `Result(org.apache.axiom.om.OMElement result)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttribute(Attribute attribute)`
    `void` | `addCallQuery(CallQuery callQuery)`
    `void` | `addCallQueryGroup(CallQueryGroup callQueryGroup)`
    `void` | `addComplexElement(ComplexElement complexElement)`
    `void` | `addElement(Element element)`
    `void` | `addResources(RDFResource resource)`
    `org.apache.axiom.om.OMElement` | `buildXML()` Generates XML representation of Object
    `List<Attribute>` | `getAttributes()`
    `List<CallQuery>` | `getCallQueries()`
    `List<CallQueryGroup>` | `getCallQueryGroups()`
    `ComplexElement` | `getChild(List<ComplexElement> elementList, List<String> pathTokens)`
    `ComplexElement` | `getChild(String path)`
    `ComplexElement` | `getComplexElement(String elementName)`
    `List<ComplexElement>` | `getComplexElements()`
    `String[]` | `getDisplayColumnNames()`
    `String[]` | `getElementLocalNames()`
    `List<Element>` | `getElements()`
    `String` | `getEscapeNonPrintableChar()`
    `String` | `getNamespace()`
    `String` | `getOutputType()`
    `String` | `getRdfBaseURI()`
    `List<RDFResource>` | `getResources()`
    `String[]` | `getResultSetColumnNames()`
    `String` | `getResultWrapper()`
    `String` | `getRowName()`
    `String` | `getTextMapping()`
    `List<String>` | `getTokens(String path)`
    `String` | `getUseColumnNumbers()`
    `String` | `getUserRole()`
    `String` | `getXsltPath()`
    `void` | `removeAttribute(Attribute attribute)`
    `Attribute` | `removeAttribute(String attributeName)`
    `void` | `removeCallQueries(CallQuery callQuery)`
    `void` | `removeCallQuery(String href)` Remove a specific call query.
    `void` | `removeCallQueryGroup(CallQueryGroup callQueryGroup)`
    `void` | `removeChild(String path)`
    `ComplexElement` | `removeComplexElement(String elementName)`
    `void` | `removeElement(ComplexElement complexElement)`
    `void` | `removeElement(Element element)`
    `Element` | `removeElement(String elementName)`
    `void` | `removeResource(RDFResource resource)`
    `RDFResource` | `removeResource(String resourceName)`
    `void` | `removeXMLOutMappings()`
    `void` | `setAttributes(List<Attribute> attributes)`
    `void` | `setCallQueries(List<CallQuery> callQueries)`
    `void` | `setCallQueryGroups(List<CallQueryGroup> callQueryGroups)`
    `void` | `setComplexElements(List<ComplexElement> complexElements)`
    `void` | `setDisplayColumnNames(String[] displayColumnNames)`
    `void` | `setElementLocalNames(String[] elementLocalNames)`
    `void` | `setElements(List<Element> elements)`
    `void` | `setEscapeNonPrintableChar(String escapeNonPrintableChar)`
    `void` | `setNamespace(String namespace)`
    `void` | `setOutputType(String outputType)`
    `void` | `setRdfBaseURI(String rdfBaseURI)`
    `void` | `setResources(List<RDFResource> resource)`
    `void` | `setResultSetColumnNames(String[] resultSetColumnNames)`
    `void` | `setResultWrapper(String resultWrapper)`
    `void` | `setRowName(String rowName)`
    `void` | `setTextMapping(String textMapping)`
    `void` | `setUseColumnNumbers(String useColumnNumbers)`
    `void` | `setUserRole(String userRole)`
    `void` | `setXsltPath(String xsltPath)`

    - ### Methods inherited from class org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement

      `extractAdvancedProps, getRequiredRoles, getXsdType, setRequiredRoles, setxsdType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Result

          public Result()

    - #### Result

          public Result(org.apache.axiom.om.OMElement result)

  - ### Method Detail

    - #### getElements

          public List<Element> getElements()

    - #### setElements

          public void setElements(List<Element> elements)

    - #### removeElement

          public void removeElement(Element element)

    - #### addElement

          public void addElement(Element element)

    - #### getComplexElements

          public List<ComplexElement> getComplexElements()

    - #### setComplexElements

          public void setComplexElements(List<ComplexElement> complexElements)

    - #### addComplexElement

          public void addComplexElement(ComplexElement complexElement)

    - #### removeElement

          public void removeElement(ComplexElement complexElement)

    - #### getResources

          public List<RDFResource> getResources()

    - #### setResources

          public void setResources(List<RDFResource> resource)

    - #### removeResource

          public void removeResource(RDFResource resource)

    - #### addResources

          public void addResources(RDFResource resource)

    - #### getAttributes

          public List<Attribute> getAttributes()

    - #### removeAttribute

          public void removeAttribute(Attribute attribute)

    - #### setAttributes

          public void setAttributes(List<Attribute> attributes)

    - #### addAttribute

          public void addAttribute(Attribute attribute)

    - #### getCallQueryGroups

          public List<CallQueryGroup> getCallQueryGroups()

    - #### getOutputType

          public String getOutputType()

    - #### setOutputType

          public void setOutputType(String outputType)

    - #### getUseColumnNumbers

          public String getUseColumnNumbers()

    - #### setUseColumnNumbers

          public void setUseColumnNumbers(String useColumnNumbers)

    - #### getEscapeNonPrintableChar

          public String getEscapeNonPrintableChar()

    - #### setEscapeNonPrintableChar

          public void setEscapeNonPrintableChar(String escapeNonPrintableChar)

    - #### getRdfBaseURI

          public String getRdfBaseURI()

    - #### setRdfBaseURI

          public void setRdfBaseURI(String rdfBaseURI)

    - #### getCallQueries

          public List<CallQuery> getCallQueries()

    - #### removeCallQueries

          public void removeCallQueries(CallQuery callQuery)

    - #### removeElement

          public Element removeElement(String elementName)

    - #### removeXMLOutMappings

          public void removeXMLOutMappings()

    - #### removeComplexElement

          public ComplexElement removeComplexElement(String elementName)

    - #### getChild

          public ComplexElement getChild(String path)

    - #### getTokens

          public List<String> getTokens(String path)

    - #### getChild

          public ComplexElement getChild(List<ComplexElement> elementList,
                                List<String> pathTokens)

    - #### removeChild

          public void removeChild(String path)

    - #### getComplexElement

          public ComplexElement getComplexElement(String elementName)

    - #### removeResource

          public RDFResource removeResource(String resourceName)

    - #### removeAttribute

          public Attribute removeAttribute(String attributeName)

    - #### removeCallQuery

          public void removeCallQuery(String href)

      Remove a specific call query. All the call queries are represented as CallQueryGroups, so a single call query will be inside a CallQueryGroup which has one element. Find that element, and remove the CallQueryGroup.

    - #### removeCallQueryGroup

          public void removeCallQueryGroup(CallQueryGroup callQueryGroup)

    - #### setCallQueryGroups

          public void setCallQueryGroups(List<CallQueryGroup> callQueryGroups)

    - #### setCallQueries

          public void setCallQueries(List<CallQuery> callQueries)

    - #### addCallQueryGroup

          public void addCallQueryGroup(CallQueryGroup callQueryGroup)

    - #### addCallQuery

          public void addCallQuery(CallQuery callQuery)

    - #### getResultWrapper

          public String getResultWrapper()

    - #### setResultWrapper

          public void setResultWrapper(String resultWrapper)

    - #### getRowName

          public String getRowName()

    - #### setRowName

          public void setRowName(String rowName)

    - #### setUserRole

          public void setUserRole(String userRole)

    - #### getUserRole

          public String getUserRole()

    - #### getResultSetColumnNames

          public String[] getResultSetColumnNames()

    - #### setResultSetColumnNames

          public void setResultSetColumnNames(String[] resultSetColumnNames)

    - #### getDisplayColumnNames

          public String[] getDisplayColumnNames()

    - #### setDisplayColumnNames

          public void setDisplayColumnNames(String[] displayColumnNames)

    - #### getNamespace

          public String getNamespace()

    - #### setNamespace

          public void setNamespace(String namespace)

    - #### getElementLocalNames

          public String[] getElementLocalNames()

    - #### setElementLocalNames

          public void setElementLocalNames(String[] elementLocalNames)

    - #### getXsltPath

          public String getXsltPath()

    - #### setXsltPath

          public void setXsltPath(String xsltPath)

    - #### setTextMapping

          public void setTextMapping(String textMapping)

    - #### getTextMapping

          public String getTextMapping()

    - #### buildXML

          public org.apache.axiom.om.OMElement buildXML()

      Description copied from class: `DataServiceConfigurationElement`
      Generates XML representation of Object
      Specified by:
        `buildXML` in class `DataServiceConfigurationElement`
      Returns:
        OMElement

Copyright © 2017 WSO2. All rights reserved.